ParallelNioSender (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.transport.nio

## Class ParallelNioSender

- java.lang.Object
- - org.apache.catalina.tribes.transport.AbstractSender
  - - org.apache.catalina.tribes.transport.nio.ParallelNioSender

- All Implemented Interfaces:
    DataSender, MultiPointSender

      public class ParallelNioSender
      extends AbstractSender
      implements MultiPointSender

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HashMap<Member,NioSender>` | `nioSenders`
    `protected Selector` | `selector`
    `protected long` | `selectTimeout`
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelNioSender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Member member)`
    `void` | `connect()` connect
    `void` | `disconnect()` disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
    `protected void` | `finalize()`
    `boolean` | `keepalive()` keepalive
    `void` | `remove(Member member)`
    `void` | `sendMessage(Member[] destination, ChannelMessage msg)`

    - ### Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender

      `getAddress, getAttempt, getConnectTime, getDestination, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, isConnected, isUdpBased, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, setUdpBased, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender

      `setDirectBuffer, setMaxRetryAttempts`

    - ### Methods inherited from interface org.apache.catalina.tribes.transport.DataSender

      `getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setRxBufSize, setTimeout, setTxBufSize`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

    - #### selectTimeout

          protected final long selectTimeout

      See Also:
        Constant Field Values

    - #### selector

          protected final Selector selector

    - #### nioSenders

          protected final HashMap<Member,NioSender> nioSenders

  - ### Constructor Detail

    - #### ParallelNioSender

          public ParallelNioSender()
                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### sendMessage

          public void sendMessage(Member[] destination,
                                  ChannelMessage msg)
                           throws ChannelException

      Specified by:
        `sendMessage` in interface `MultiPointSender`
      Throws:
        `ChannelException`

    - #### connect

          public void connect()

      Description copied from class: `AbstractSender`
      connect
      Specified by:
        `connect` in interface `DataSender`
      Specified by:
        `connect` in class `AbstractSender`

    - #### add

          public void add(Member member)

      Specified by:
        `add` in interface `MultiPointSender`

    - #### remove

          public void remove(Member member)

      Specified by:
        `remove` in interface `MultiPointSender`

    - #### disconnect

          public void disconnect()

      Description copied from class: `AbstractSender`
      disconnect TODO Implement this org.apache.catalina.tribes.transport.DataSender method
      Specified by:
        `disconnect` in interface `DataSender`
      Specified by:
        `disconnect` in class `AbstractSender`

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

    - #### keepalive

          public boolean keepalive()

      Description copied from class: `AbstractSender`
      keepalive
      Specified by:
        `keepalive` in interface `DataSender`
      Overrides:
        `keepalive` in class `AbstractSender`
      Returns:
        boolean TODO Implement this org.apache.catalina.tribes.transport.DataSender method

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.